import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
// https://github.com/mui-org/material-ui/blob/master/packages/material-ui/src/utils/createSvgIcon.js
import * as React from 'react';
import SvgIcon from '@material-ui/core/SvgIcon';
import { makeStyles } from '@material-ui/core/styles';
import clsx from 'clsx';
var useStyles = makeStyles(function (theme) {
  return {
    root: {
      fill: 'none',
      stroke: 'currentColor',
      strokeLinecap: 'round',
      strokeLinejoin: 'round',
      transition: theme.transitions.create('stroke', {
        duration: theme.transitions.duration.shorter
      })
    }
  };
});
/**
 * Private module
 */

export default function createSvgIcon(path, displayName) {
  var Component = function Component(props, ref) {
    var className = props.className,
        rest = _objectWithoutProperties(props, ["className"]);

    var classes = useStyles();
    return /*#__PURE__*/React.createElement(SvgIcon, _extends({
      ref: ref,
      className: clsx(className, classes.root)
    }, rest), path);
  }; // @ts-ignore


  if (process.env.NODE_ENV !== 'production') {
    // Need to set `displayName` on the inner component for React.memo.
    // React prior to 16.14 ignores `displayName` on the wrapper.
    Component.displayName = "".concat(displayName, "Icon");
  } // @ts-ignore


  Component.muiName = SvgIcon.muiName;
  return /*#__PURE__*/React.memo( /*#__PURE__*/React.forwardRef(Component));
}