"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = createSvgIcon;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var React = _interopRequireWildcard(require("react"));

var _SvgIcon = _interopRequireDefault(require("@material-ui/core/SvgIcon"));

var _styles = require("@material-ui/core/styles");

var _clsx = _interopRequireDefault(require("clsx"));

// https://github.com/mui-org/material-ui/blob/master/packages/material-ui/src/utils/createSvgIcon.js
var useStyles = (0, _styles.makeStyles)(function (theme) {
  return {
    root: {
      fill: 'none',
      stroke: 'currentColor',
      strokeLinecap: 'round',
      strokeLinejoin: 'round',
      transition: theme.transitions.create('stroke', {
        duration: theme.transitions.duration.shorter
      })
    }
  };
});
/**
 * Private module
 */

function createSvgIcon(path, displayName) {
  var Component = function Component(props, ref) {
    var className = props.className,
        rest = (0, _objectWithoutProperties2["default"])(props, ["className"]);
    var classes = useStyles();
    return /*#__PURE__*/React.createElement(_SvgIcon["default"], (0, _extends2["default"])({
      ref: ref,
      className: (0, _clsx["default"])(className, classes.root)
    }, rest), path);
  }; // @ts-ignore


  if (process.env.NODE_ENV !== 'production') {
    // Need to set `displayName` on the inner component for React.memo.
    // React prior to 16.14 ignores `displayName` on the wrapper.
    Component.displayName = "".concat(displayName, "Icon");
  } // @ts-ignore


  Component.muiName = _SvgIcon["default"].muiName;
  return /*#__PURE__*/React.memo( /*#__PURE__*/React.forwardRef(Component));
}